コンテンツにスキップ
ShopentlyLearn

削除 · 商品バリエーション — バリエーションとオプション

バリエーション組み合わせの削除. 外部連携の操作に適用されます。

DELETE/api/v1/products/{product_id}/variants/{variant_id}

cURLリクエスト

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request DELETE \
  --url 'https://shop.onshopently.com/api/v1/products/example/variants/example?expected_price_version=1&expected_version=1' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: example-delete_variant_api_v1_products__product_id__variants__variant_id__delete'

レスポンス

{
  "data": {
    "deleted": true,
    "id": "example",
    "version": null
  },
  "meta": {
    "request_id": "example"
  }
}

必要な権限

利用可能な最低プラン
STANDARD
キーの権限
バリエーション組み合わせの削除catalog.product_variant:delete